C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine dratedc(ns,nr,rk,y,dw)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: CB05_SORGAM         
C     Species: _ciCB05_SORGAM      
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     DW: derivative of reaction rates wrt Y.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),dw(nr,ns)
 
 
 
      dw(  1, 65) =  rk(  1)
      dw(  2, 57) =  rk(  2)
      dw(  3, 59) =  rk(  3) * Y( 64)
      dw(  3, 64) =  rk(  3) * Y( 59)
      dw(  4, 57) =  rk(  4) * Y( 65)
      dw(  4, 65) =  rk(  4) * Y( 57)
      dw(  5, 57) =  rk(  5) * Y( 65)
      dw(  5, 65) =  rk(  5) * Y( 57)
      dw(  6, 57) =  rk(  6) * Y( 64)
      dw(  6, 64) =  rk(  6) * Y( 57)
      dw(  7, 65) =  rk(  7) * Y( 59)
      dw(  7, 59) =  rk(  7) * Y( 65)
      dw(  8, 59) =  rk(  8)
      dw(  9, 59) =  rk(  9)
      dw( 10,  3) =  rk( 10)
      dw( 11,  3) =  rk( 11)
      dw( 12, 59) =  rk( 12) * Y( 55)
      dw( 12, 55) =  rk( 12) * Y( 59)
      dw( 13, 59) =  rk( 13) * Y( 61)
      dw( 13, 61) =  rk( 13) * Y( 59)
      dw( 14, 56) =  rk( 14)
      dw( 15, 56) =  rk( 15)
      dw( 16, 56) =  rk( 16) * Y( 64)
      dw( 16, 64) =  rk( 16) * Y( 56)
      dw( 17, 56) =  rk( 17) * Y( 65)
      dw( 17, 65) =  rk( 17) * Y( 56)
      dw( 18, 56) =  rk( 18) * Y( 65)
      dw( 18, 65) =  rk( 18) * Y( 56)
      dw( 19, 16) =  rk( 19)
      dw( 20, 16) =  rk( 20)
      dw( 21, 64) =  rk( 21) * Y( 64)
      dw( 21, 64) =  rk( 21) * Y( 64)
      dw( 22, 64) =  rk( 22) * Y( 65)
      dw( 22, 65) =  rk( 22) * Y( 64)
      dw( 23, 55) =  rk( 23) * Y( 64)
      dw( 23, 64) =  rk( 23) * Y( 55)
      dw( 24, 23) =  rk( 24)
      dw( 25, 55) =  rk( 25) * Y( 23)
      dw( 25, 23) =  rk( 25) * Y( 55)
      dw( 26, 23) =  rk( 26) * Y( 23)
      dw( 26, 23) =  rk( 26) * Y( 23)
      dw( 27, 65) =  rk( 27) * Y( 55)
      dw( 27, 55) =  rk( 27) * Y( 65)
      dw( 28, 55) =  rk( 28) * Y( 50)
      dw( 28, 50) =  rk( 28) * Y( 55)
      dw( 29, 61) =  rk( 29) * Y( 64)
      dw( 29, 64) =  rk( 29) * Y( 61)
      dw( 30, 61) =  rk( 30) * Y( 65)
      dw( 30, 65) =  rk( 30) * Y( 61)
      dw( 31, 17) =  rk( 31)
      dw( 32, 55) =  rk( 32) * Y( 17)
      dw( 32, 17) =  rk( 32) * Y( 55)
      dw( 33, 61) =  rk( 33) * Y( 61)
      dw( 33, 61) =  rk( 33) * Y( 61)
      dw( 34, 61) =  rk( 34) * Y( 61)
      dw( 34, 61) =  rk( 34) * Y( 61)
      dw( 35, 20) =  rk( 35)
      dw( 36, 55) =  rk( 36) * Y( 20)
      dw( 36, 20) =  rk( 36) * Y( 55)
      dw( 37,  3) =  rk( 37)
      dw( 38, 55) =  rk( 38)
      dw( 39, 55) =  rk( 39) * Y( 57)
      dw( 39, 57) =  rk( 39) * Y( 55)
      dw( 40, 55) =  rk( 40) * Y( 55)
      dw( 40, 55) =  rk( 40) * Y( 55)
      dw( 41, 55) =  rk( 41) * Y( 55)
      dw( 41, 55) =  rk( 41) * Y( 55)
      dw( 42, 55) =  rk( 42) * Y( 61)
      dw( 42, 61) =  rk( 42) * Y( 55)
      dw( 43, 61) =  rk( 43) * Y( 57)
      dw( 43, 57) =  rk( 43) * Y( 61)
      dw( 44, 20) =  rk( 44) * Y( 57)
      dw( 44, 57) =  rk( 44) * Y( 20)
      dw( 45, 56) =  rk( 45) * Y( 57)
      dw( 45, 57) =  rk( 45) * Y( 56)
      dw( 46, 56) =  rk( 46) * Y( 55)
      dw( 46, 55) =  rk( 46) * Y( 56)
      dw( 47, 56) =  rk( 47) * Y( 61)
      dw( 47, 61) =  rk( 47) * Y( 56)
      dw( 48, 56) =  rk( 48) * Y( 59)
      dw( 48, 59) =  rk( 48) * Y( 56)
      dw( 49, 56) =  rk( 49) * Y( 56)
      dw( 49, 56) =  rk( 49) * Y( 56)
      dw( 50, 17) =  rk( 50)
      dw( 51, 50) =  rk( 51)
      dw( 52, 16) =  rk( 52)
      dw( 53, 63) =  rk( 53) * Y( 64)
      dw( 53, 64) =  rk( 53) * Y( 63)
      dw( 54, 52) =  rk( 54) * Y( 64)
      dw( 54, 64) =  rk( 54) * Y( 52)
      dw( 55, 63) =  rk( 55) * Y( 61)
      dw( 55, 61) =  rk( 55) * Y( 63)
      dw( 56, 52) =  rk( 56) * Y( 61)
      dw( 56, 61) =  rk( 56) * Y( 52)
      dw( 57, 63) =  rk( 57) * Y( 63)
      dw( 57, 63) =  rk( 57) * Y( 63)
      dw( 58, 52) =  rk( 58) * Y( 52)
      dw( 58, 52) =  rk( 58) * Y( 52)
      dw( 59, 63) =  rk( 59) * Y( 52)
      dw( 59, 52) =  rk( 59) * Y( 63)
      dw( 60, 46) =  rk( 60) * Y( 55)
      dw( 60, 55) =  rk( 60) * Y( 46)
      dw( 61, 46) =  rk( 61)
      dw( 62, 32) =  rk( 62) * Y( 55)
      dw( 62, 55) =  rk( 62) * Y( 32)
      dw( 63, 32) =  rk( 63)
      dw( 64, 55) =  rk( 64) * Y( 51)
      dw( 64, 51) =  rk( 64) * Y( 55)
      dw( 65, 55) =  rk( 65) * Y(  5)
      dw( 65,  5) =  rk( 65) * Y( 55)
      dw( 66, 53) =  rk( 66) * Y( 64)
      dw( 66, 64) =  rk( 66) * Y( 53)
      dw( 67, 53) =  rk( 67) * Y( 61)
      dw( 67, 61) =  rk( 67) * Y( 53)
      dw( 68, 53) =  rk( 68) * Y( 53)
      dw( 68, 53) =  rk( 68) * Y( 53)
      dw( 69, 22) =  rk( 69) * Y( 55)
      dw( 69, 55) =  rk( 69) * Y( 22)
      dw( 70, 22) =  rk( 70)
      dw( 71, 14) =  rk( 71) * Y( 55)
      dw( 71, 55) =  rk( 71) * Y( 14)
      dw( 72, 54) =  rk( 72) * Y( 55)
      dw( 72, 55) =  rk( 72) * Y( 54)
      dw( 73, 54) =  rk( 73)
      dw( 74, 54) =  rk( 74)
      dw( 75, 54) =  rk( 75) * Y( 57)
      dw( 75, 57) =  rk( 75) * Y( 54)
      dw( 76, 54) =  rk( 76) * Y( 56)
      dw( 76, 56) =  rk( 76) * Y( 54)
      dw( 77, 54) =  rk( 77) * Y( 61)
      dw( 77, 61) =  rk( 77) * Y( 54)
      dw( 78, 21) =  rk( 78)
      dw( 79, 21) =  rk( 79) * Y( 64)
      dw( 79, 64) =  rk( 79) * Y( 21)
      dw( 80, 21) =  rk( 80) * Y( 61)
      dw( 80, 61) =  rk( 80) * Y( 21)
      dw( 81, 35) =  rk( 81) * Y( 55)
      dw( 81, 55) =  rk( 81) * Y( 35)
      dw( 82, 60) =  rk( 82) * Y( 57)
      dw( 82, 57) =  rk( 82) * Y( 60)
      dw( 83, 60) =  rk( 83) * Y( 55)
      dw( 83, 55) =  rk( 83) * Y( 60)
      dw( 84, 60) =  rk( 84) * Y( 56)
      dw( 84, 56) =  rk( 84) * Y( 60)
      dw( 85, 60) =  rk( 85)
      dw( 86, 62) =  rk( 86) * Y( 64)
      dw( 86, 64) =  rk( 86) * Y( 62)
      dw( 87, 62) =  rk( 87) * Y( 65)
      dw( 87, 65) =  rk( 87) * Y( 62)
      dw( 88, 13) =  rk( 88)
      dw( 89, 13) =  rk( 89)
      dw( 90, 62) =  rk( 90) * Y( 61)
      dw( 90, 61) =  rk( 90) * Y( 62)
      dw( 91, 62) =  rk( 91) * Y( 53)
      dw( 91, 53) =  rk( 91) * Y( 62)
      dw( 92, 62) =  rk( 92) * Y( 63)
      dw( 92, 63) =  rk( 92) * Y( 62)
      dw( 93, 62) =  rk( 93) * Y( 62)
      dw( 93, 62) =  rk( 93) * Y( 62)
      dw( 94, 33) =  rk( 94) * Y( 55)
      dw( 94, 55) =  rk( 94) * Y( 33)
      dw( 95, 33) =  rk( 95)
      dw( 96, 49) =  rk( 96) * Y( 55)
      dw( 96, 55) =  rk( 96) * Y( 49)
      dw( 97, 48) =  rk( 97) * Y( 57)
      dw( 97, 57) =  rk( 97) * Y( 48)
      dw( 98, 48) =  rk( 98) * Y( 55)
      dw( 98, 55) =  rk( 98) * Y( 48)
      dw( 99, 48) =  rk( 99) * Y( 56)
      dw( 99, 56) =  rk( 99) * Y( 48)
      dw(100, 48) =  rk(100)
      dw(101, 58) =  rk(101) * Y( 64)
      dw(101, 64) =  rk(101) * Y( 58)
      dw(102, 58) =  rk(102) * Y( 65)
      dw(102, 65) =  rk(102) * Y( 58)
      dw(103, 18) =  rk(103)
      dw(104, 18) =  rk(104)
      dw(105, 18) =  rk(105) * Y( 55)
      dw(105, 55) =  rk(105) * Y( 18)
      dw(106, 58) =  rk(106) * Y( 61)
      dw(106, 61) =  rk(106) * Y( 58)
      dw(107, 62) =  rk(107) * Y( 53)
      dw(107, 53) =  rk(107) * Y( 62)
      dw(108, 62) =  rk(108) * Y( 63)
      dw(108, 63) =  rk(108) * Y( 62)
      dw(109, 58) =  rk(109) * Y( 58)
      dw(109, 58) =  rk(109) * Y( 58)
      dw(110, 58) =  rk(110) * Y( 62)
      dw(110, 62) =  rk(110) * Y( 58)
      dw(111, 47) =  rk(111) * Y( 55)
      dw(111, 55) =  rk(111) * Y( 47)
      dw(112, 19) =  rk(112)
      dw(113, 19) =  rk(113)
      dw(114, 19) =  rk(114) * Y( 65)
      dw(114, 65) =  rk(114) * Y( 19)
      dw(115, 57) =  rk(115) * Y( 36)
      dw(115, 36) =  rk(115) * Y( 57)
      dw(116, 55) =  rk(116) * Y( 36)
      dw(116, 36) =  rk(116) * Y( 55)
      dw(117, 59) =  rk(117) * Y( 36)
      dw(117, 36) =  rk(117) * Y( 59)
      dw(118, 56) =  rk(118) * Y( 36)
      dw(118, 36) =  rk(118) * Y( 56)
      dw(119, 57) =  rk(119) * Y( 34)
      dw(119, 34) =  rk(119) * Y( 57)
      dw(120, 55) =  rk(120) * Y( 34)
      dw(120, 34) =  rk(120) * Y( 55)
      dw(121, 59) =  rk(121) * Y( 34)
      dw(121, 34) =  rk(121) * Y( 59)
      dw(122, 56) =  rk(122) * Y( 34)
      dw(122, 34) =  rk(122) * Y( 56)
      dw(123, 37) =  rk(123) * Y( 57)
      dw(123, 57) =  rk(123) * Y( 37)
      dw(124, 37) =  rk(124) * Y( 55)
      dw(124, 55) =  rk(124) * Y( 37)
      dw(125, 37) =  rk(125) * Y( 59)
      dw(125, 59) =  rk(125) * Y( 37)
      dw(126, 37) =  rk(126) * Y( 56)
      dw(126, 56) =  rk(126) * Y( 37)
      dw(127,  7) =  rk(127) * Y( 55)
      dw(127, 55) =  rk(127) * Y(  7)
      dw(128, 15) =  rk(128) * Y( 64)
      dw(128, 64) =  rk(128) * Y( 15)
      dw(129, 15) =  rk(129)
      dw(130, 55) =  rk(130) * Y( 40)
      dw(130, 40) =  rk(130) * Y( 55)
      dw(131, 40) =  rk(131) * Y( 56)
      dw(131, 56) =  rk(131) * Y( 40)
      dw(132, 43) =  rk(132) * Y( 65)
      dw(132, 65) =  rk(132) * Y( 43)
      dw(133, 43) =  rk(133) * Y( 61)
      dw(133, 61) =  rk(133) * Y( 43)
      dw(134, 41) =  rk(134)
      dw(135, 41) =  rk(135) * Y( 55)
      dw(135, 55) =  rk(135) * Y( 41)
      dw(136, 41) =  rk(136) * Y( 59)
      dw(136, 59) =  rk(136) * Y( 41)
      dw(137, 55) =  rk(137) * Y(  8)
      dw(137,  8) =  rk(137) * Y( 55)
      dw(138, 55) =  rk(138) * Y( 42)
      dw(138, 42) =  rk(138) * Y( 55)
      dw(139, 42) =  rk(139)
      dw(140, 57) =  rk(140) * Y( 44)
      dw(140, 44) =  rk(140) * Y( 57)
      dw(141, 55) =  rk(141) * Y( 44)
      dw(141, 44) =  rk(141) * Y( 55)
      dw(142, 59) =  rk(142) * Y( 44)
      dw(142, 44) =  rk(142) * Y( 59)
      dw(143, 56) =  rk(143) * Y( 44)
      dw(143, 44) =  rk(143) * Y( 56)
      dw(144, 55) =  rk(144) * Y( 45)
      dw(144, 45) =  rk(144) * Y( 55)
      dw(145, 59) =  rk(145) * Y( 45)
      dw(145, 45) =  rk(145) * Y( 59)
      dw(146, 56) =  rk(146) * Y( 45)
      dw(146, 45) =  rk(146) * Y( 56)
      dw(147, 45) =  rk(147)
      dw(148, 39) =  rk(148) * Y( 57)
      dw(148, 57) =  rk(148) * Y( 39)
      dw(149, 39) =  rk(149) * Y( 55)
      dw(149, 55) =  rk(149) * Y( 39)
      dw(150, 39) =  rk(150) * Y( 59)
      dw(150, 59) =  rk(150) * Y( 39)
      dw(151, 39) =  rk(151) * Y( 56)
      dw(151, 56) =  rk(151) * Y( 39)
      dw(152,  9) =  rk(152) * Y( 55)
      dw(152, 55) =  rk(152) * Y(  9)
      dw(153, 55) =  rk(153) * Y(  4)
      dw(153,  4) =  rk(153) * Y( 55)
      dw(154, 55) =  rk(154) * Y(  6)
      dw(154,  6) =  rk(154) * Y( 55)
      dw(155, 65) =  rk(155) * Y( 44)
      dw(155, 44) =  rk(155) * Y( 65)
      dw(156, 61) =  rk(156)
      dw(157, 65) =  rk(157)
      dw(158, 56) =  rk(158)
      dw(159, 16) =  rk(159)
      dw(160, 11) =  rk(160) * Y( 55)
      dw(160, 55) =  rk(160) * Y( 11)
      dw(161, 24) =  rk(161) * Y( 55)
      dw(161, 55) =  rk(161) * Y( 24)
      dw(162, 24) =  rk(162) * Y( 59)
      dw(162, 59) =  rk(162) * Y( 24)
      dw(163, 27) =  rk(163) * Y( 55)
      dw(163, 55) =  rk(163) * Y( 27)
      dw(164, 27) =  rk(164) * Y( 59)
      dw(164, 59) =  rk(164) * Y( 27)
      dw(165, 24) =  rk(165) * Y( 56)
      dw(165, 56) =  rk(165) * Y( 24)
      dw(166, 27) =  rk(166) * Y( 56)
      dw(166, 56) =  rk(166) * Y( 27)
 
      RETURN
      END
 
