C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine dratedc(ns,nr,rk,y,dw)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: RACM2_SORGAM        
C     Species: _ciRACM2_SORGAM     
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     DW: derivative of reaction rates wrt Y.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),dw(nr,ns)
 
 
 
      dw(  1,121) =  rk(  1)
      dw(  2, 91) =  rk(  2)
      dw(  3, 91) =  rk(  3)
      dw(  4, 24) =  rk(  4)
      dw(  5,101) =  rk(  5)
      dw(  6, 43) =  rk(  6)
      dw(  7,117) =  rk(  7)
      dw(  8,117) =  rk(  8)
      dw(  9, 51) =  rk(  9)
      dw( 10,116) =  rk( 10)
      dw( 11,116) =  rk( 11)
      dw( 12, 94) =  rk( 12)
      dw( 13,109) =  rk( 13)
      dw( 14, 73) =  rk( 14)
      dw( 15, 37) =  rk( 15)
      dw( 16,111) =  rk( 16)
      dw( 17, 75) =  rk( 17)
      dw( 18, 92) =  rk( 18)
      dw( 19, 81) =  rk( 19)
      dw( 20, 83) =  rk( 20)
      dw( 21,102) =  rk( 21)
      dw( 22,102) =  rk( 22)
      dw( 23,102) =  rk( 23)
      dw( 24,100) =  rk( 24)
      dw( 25, 68) =  rk( 25)
      dw( 26, 65) =  rk( 26)
      dw( 27, 69) =  rk( 27)
      dw( 28, 56) =  rk( 28)
      dw( 29, 40) =  rk( 29)
      dw( 30,115) =  rk( 30)
      dw( 31, 70) =  rk( 31)
      dw( 32,108) =  rk( 32)
      dw( 33, 41) =  rk( 33)
      dw( 34, 41) =  rk( 34)
      dw( 35, 47) =  rk( 35)
      dw( 36, 47) =  rk( 36) * Y( 91)
      dw( 36, 91) =  rk( 36) * Y( 47)
      dw( 37,  3) =  rk( 37)
      dw( 38,  3) =  rk( 38)
      dw( 39,  3) =  rk( 39)
      dw( 40, 91) =  rk( 40) * Y(118)
      dw( 40,118) =  rk( 40) * Y( 91)
      dw( 41, 91) =  rk( 41) * Y(119)
      dw( 41,119) =  rk( 41) * Y( 91)
      dw( 42,118) =  rk( 42) * Y(119)
      dw( 42,119) =  rk( 42) * Y(118)
      dw( 43, 51) =  rk( 43) * Y(118)
      dw( 43,118) =  rk( 43) * Y( 51)
      dw( 44,119) =  rk( 44) * Y(119)
      dw( 44,119) =  rk( 44) * Y(119)
      dw( 45,119) =  rk( 45) * Y(119)
      dw( 45,119) =  rk( 45) * Y(119)
      dw( 46, 47) =  rk( 46) * Y(123)
      dw( 46,123) =  rk( 46) * Y( 47)
      dw( 47, 47) =  rk( 47) * Y(121)
      dw( 47,121) =  rk( 47) * Y( 47)
      dw( 48, 47) =  rk( 48) * Y(121)
      dw( 48,121) =  rk( 48) * Y( 47)
      dw( 49,118) =  rk( 49) * Y(123)
      dw( 49,123) =  rk( 49) * Y(118)
      dw( 50,118) =  rk( 50) * Y(121)
      dw( 50,121) =  rk( 50) * Y(118)
      dw( 51,118) =  rk( 51) * Y(117)
      dw( 51,117) =  rk( 51) * Y(118)
      dw( 52,119) =  rk( 52) * Y(123)
      dw( 52,123) =  rk( 52) * Y(119)
      dw( 53,119) =  rk( 53) * Y(121)
      dw( 53,121) =  rk( 53) * Y(119)
      dw( 54, 43) =  rk( 54)
      dw( 55,119) =  rk( 55) * Y(117)
      dw( 55,117) =  rk( 55) * Y(119)
      dw( 56,118) =  rk( 56) * Y( 24)
      dw( 56, 24) =  rk( 56) * Y(118)
      dw( 57,118) =  rk( 57) * Y(101)
      dw( 57,101) =  rk( 57) * Y(118)
      dw( 58,118) =  rk( 58) * Y( 43)
      dw( 58, 43) =  rk( 58) * Y(118)
      dw( 59, 91) =  rk( 59) * Y(123)
      dw( 59,123) =  rk( 59) * Y( 91)
      dw( 60, 91) =  rk( 60) * Y(121)
      dw( 60,121) =  rk( 60) * Y( 91)
      dw( 61,123) =  rk( 61) * Y(123)
      dw( 61,123) =  rk( 61) * Y(123)
      dw( 62,117) =  rk( 62) * Y(123)
      dw( 62,123) =  rk( 62) * Y(117)
      dw( 63,117) =  rk( 63) * Y(121)
      dw( 63,121) =  rk( 63) * Y(117)
      dw( 64,117) =  rk( 64) * Y(121)
      dw( 64,121) =  rk( 64) * Y(117)
      dw( 65, 18) =  rk( 65)
      dw( 66, 18) =  rk( 66)
      dw( 67,117) =  rk( 67) * Y(117)
      dw( 67,117) =  rk( 67) * Y(117)
      dw( 68,118) =  rk( 68)
      dw( 69,118) =  rk( 69) * Y(  4)
      dw( 69,  4) =  rk( 69) * Y(118)
      dw( 70,107) =  rk( 70) * Y(118)
      dw( 70,118) =  rk( 70) * Y(107)
      dw( 71, 44) =  rk( 71) * Y(118)
      dw( 71,118) =  rk( 71) * Y( 44)
      dw( 72, 39) =  rk( 72) * Y(118)
      dw( 72,118) =  rk( 72) * Y( 39)
      dw( 73, 99) =  rk( 73) * Y(118)
      dw( 73,118) =  rk( 73) * Y( 99)
      dw( 74, 26) =  rk( 74) * Y(118)
      dw( 74,118) =  rk( 74) * Y( 26)
      dw( 75, 89) =  rk( 75) * Y(118)
      dw( 75,118) =  rk( 75) * Y( 89)
      dw( 76,  6) =  rk( 76) * Y(118)
      dw( 76,118) =  rk( 76) * Y(  6)
      dw( 77,  8) =  rk( 77) * Y(118)
      dw( 77,118) =  rk( 77) * Y(  8)
      dw( 78,  9) =  rk( 78) * Y(118)
      dw( 78,118) =  rk( 78) * Y(  9)
      dw( 79, 10) =  rk( 79) * Y(118)
      dw( 79,118) =  rk( 79) * Y( 10)
      dw( 80, 28) =  rk( 80) * Y(118)
      dw( 80,118) =  rk( 80) * Y( 28)
      dw( 81, 38) =  rk( 81) * Y(118)
      dw( 81,118) =  rk( 81) * Y( 38)
      dw( 82, 86) =  rk( 82) * Y(118)
      dw( 82,118) =  rk( 82) * Y( 86)
      dw( 83, 25) =  rk( 83) * Y(118)
      dw( 83,118) =  rk( 83) * Y( 25)
      dw( 84, 31) =  rk( 84) * Y(118)
      dw( 84,118) =  rk( 84) * Y( 31)
      dw( 85, 21) =  rk( 85) * Y(118)
      dw( 85,118) =  rk( 85) * Y( 21)
      dw( 86, 32) =  rk( 86) * Y(118)
      dw( 86,118) =  rk( 86) * Y( 32)
      dw( 87, 30) =  rk( 87) * Y(118)
      dw( 87,118) =  rk( 87) * Y( 30)
      dw( 88, 45) =  rk( 88) * Y(118)
      dw( 88,118) =  rk( 88) * Y( 45)
      dw( 89, 35) =  rk( 89) * Y(118)
      dw( 89,118) =  rk( 89) * Y( 35)
      dw( 90, 93) =  rk( 90) * Y(118)
      dw( 90,118) =  rk( 90) * Y( 93)
      dw( 91, 19) =  rk( 91) * Y(118)
      dw( 91,118) =  rk( 91) * Y( 19)
      dw( 92, 29) =  rk( 92) * Y(118)
      dw( 92,118) =  rk( 92) * Y( 29)
      dw( 93,  7) =  rk( 93) * Y(118)
      dw( 93,118) =  rk( 93) * Y(  7)
      dw( 94, 11) =  rk( 94) * Y(118)
      dw( 94,118) =  rk( 94) * Y( 11)
      dw( 95, 53) =  rk( 95) * Y(123)
      dw( 95,123) =  rk( 95) * Y( 53)
      dw( 96, 12) =  rk( 96)
      dw( 97, 54) =  rk( 97)
      dw( 98, 54) =  rk( 98) * Y(123)
      dw( 98,123) =  rk( 98) * Y( 54)
      dw( 99, 52) =  rk( 99) * Y(123)
      dw( 99,123) =  rk( 99) * Y( 52)
      dw(100, 15) =  rk(100) * Y(118)
      dw(100,118) =  rk(100) * Y( 15)
      dw(101, 13) =  rk(101) * Y(118)
      dw(101,118) =  rk(101) * Y( 13)
      dw(102, 55) =  rk(102) * Y(123)
      dw(102,123) =  rk(102) * Y( 55)
      dw(103, 14) =  rk(103)
      dw(104, 16) =  rk(104)
      dw(105, 60) =  rk(105)
      dw(106, 64) =  rk(106)
      dw(107, 60) =  rk(107) * Y(123)
      dw(107,123) =  rk(107) * Y( 60)
      dw(108, 63) =  rk(108) * Y(123)
      dw(108,123) =  rk(108) * Y( 63)
      dw(109, 56) =  rk(109) * Y(118)
      dw(109,118) =  rk(109) * Y( 56)
      dw(110, 57) =  rk(110) * Y(123)
      dw(110,123) =  rk(110) * Y( 57)
      dw(111, 58) =  rk(111) * Y(123)
      dw(111,123) =  rk(111) * Y( 58)
      dw(112, 59) =  rk(112) * Y(121)
      dw(112,121) =  rk(112) * Y( 59)
      dw(113, 20) =  rk(113) * Y(118)
      dw(113,118) =  rk(113) * Y( 20)
      dw(114, 61) =  rk(114) * Y(118)
      dw(114,118) =  rk(114) * Y( 61)
      dw(115, 36) =  rk(115) * Y(118)
      dw(115,118) =  rk(115) * Y( 36)
      dw(116, 36) =  rk(116) * Y(117)
      dw(116,117) =  rk(116) * Y( 36)
      dw(117, 96) =  rk(117) * Y( 91)
      dw(117, 91) =  rk(117) * Y( 96)
      dw(118, 96) =  rk(118) * Y(121)
      dw(118,121) =  rk(118) * Y( 96)
      dw(119, 95) =  rk(119) * Y(123)
      dw(119,123) =  rk(119) * Y( 95)
      dw(120, 95) =  rk(120) * Y(113)
      dw(120,113) =  rk(120) * Y( 95)
      dw(121, 95) =  rk(121) * Y(122)
      dw(121,122) =  rk(121) * Y( 95)
      dw(122, 95) =  rk(122) * Y(119)
      dw(122,119) =  rk(122) * Y( 95)
      dw(123, 95) =  rk(123) * Y(117)
      dw(123,117) =  rk(123) * Y( 95)
      dw(124,116) =  rk(124) * Y(118)
      dw(124,118) =  rk(124) * Y(116)
      dw(125, 94) =  rk(125) * Y(118)
      dw(125,118) =  rk(125) * Y( 94)
      dw(126,109) =  rk(126) * Y(118)
      dw(126,118) =  rk(126) * Y(109)
      dw(127, 73) =  rk(127) * Y(118)
      dw(127,118) =  rk(127) * Y( 73)
      dw(128, 37) =  rk(128) * Y(118)
      dw(128,118) =  rk(128) * Y( 37)
      dw(129,111) =  rk(129) * Y(118)
      dw(129,118) =  rk(129) * Y(111)
      dw(130, 75) =  rk(130) * Y(118)
      dw(130,118) =  rk(130) * Y( 75)
      dw(131,102) =  rk(131) * Y(118)
      dw(131,118) =  rk(131) * Y(102)
      dw(132,100) =  rk(132) * Y(118)
      dw(132,118) =  rk(132) * Y(100)
      dw(133, 92) =  rk(133) * Y(118)
      dw(133,118) =  rk(133) * Y( 92)
      dw(134, 81) =  rk(134) * Y(118)
      dw(134,118) =  rk(134) * Y( 81)
      dw(135, 83) =  rk(135) * Y(118)
      dw(135,118) =  rk(135) * Y( 83)
      dw(136, 27) =  rk(136) * Y(118)
      dw(136,118) =  rk(136) * Y( 27)
      dw(137, 65) =  rk(137) * Y(118)
      dw(137,118) =  rk(137) * Y( 65)
      dw(138, 68) =  rk(138) * Y(118)
      dw(138,118) =  rk(138) * Y( 68)
      dw(139, 69) =  rk(139) * Y(118)
      dw(139,118) =  rk(139) * Y( 69)
      dw(140, 40) =  rk(140) * Y(118)
      dw(140,118) =  rk(140) * Y( 40)
      dw(141,115) =  rk(141) * Y(118)
      dw(141,118) =  rk(141) * Y(115)
      dw(142, 70) =  rk(142) * Y(118)
      dw(142,118) =  rk(142) * Y( 70)
      dw(143, 41) =  rk(143) * Y(118)
      dw(143,118) =  rk(143) * Y( 41)
      dw(144, 42) =  rk(144) * Y(118)
      dw(144,118) =  rk(144) * Y( 42)
      dw(145, 46) =  rk(145) * Y(118)
      dw(145,118) =  rk(145) * Y( 46)
      dw(146,108) =  rk(146) * Y(118)
      dw(146,118) =  rk(146) * Y(108)
      dw(147, 74) =  rk(147) * Y(118)
      dw(147,118) =  rk(147) * Y( 74)
      dw(148,106) =  rk(148) * Y(118)
      dw(148,118) =  rk(148) * Y(106)
      dw(149,116) =  rk(149) * Y(117)
      dw(149,117) =  rk(149) * Y(116)
      dw(150, 94) =  rk(150) * Y(117)
      dw(150,117) =  rk(150) * Y( 94)
      dw(151,109) =  rk(151) * Y(117)
      dw(151,117) =  rk(151) * Y(109)
      dw(152,102) =  rk(152) * Y(117)
      dw(152,117) =  rk(152) * Y(102)
      dw(153,100) =  rk(153) * Y(117)
      dw(153,117) =  rk(153) * Y(100)
      dw(154, 27) =  rk(154) * Y(117)
      dw(154,117) =  rk(154) * Y( 27)
      dw(155, 20) =  rk(155) * Y(117)
      dw(155,117) =  rk(155) * Y( 20)
      dw(156, 61) =  rk(156) * Y(117)
      dw(156,117) =  rk(156) * Y( 61)
      dw(157, 66) =  rk(157) * Y(123)
      dw(157,123) =  rk(157) * Y( 66)
      dw(158, 66) =  rk(158) * Y(117)
      dw(158,117) =  rk(158) * Y( 66)
      dw(159, 66) =  rk(159) * Y(113)
      dw(159,113) =  rk(159) * Y( 66)
      dw(160, 66) =  rk(160) * Y(122)
      dw(160,122) =  rk(160) * Y( 66)
      dw(161, 66) =  rk(161) * Y(119)
      dw(161,119) =  rk(161) * Y( 66)
      dw(162, 28) =  rk(162) * Y(117)
      dw(162,117) =  rk(162) * Y( 28)
      dw(163, 38) =  rk(163) * Y(117)
      dw(163,117) =  rk(163) * Y( 38)
      dw(164, 86) =  rk(164) * Y(117)
      dw(164,117) =  rk(164) * Y( 86)
      dw(165, 25) =  rk(165) * Y(117)
      dw(165,117) =  rk(165) * Y( 25)
      dw(166, 31) =  rk(166) * Y(117)
      dw(166,117) =  rk(166) * Y( 31)
      dw(167, 92) =  rk(167) * Y(117)
      dw(167,117) =  rk(167) * Y( 92)
      dw(168, 83) =  rk(168) * Y(117)
      dw(168,117) =  rk(168) * Y( 83)
      dw(169, 21) =  rk(169) * Y(117)
      dw(169,117) =  rk(169) * Y( 21)
      dw(170, 32) =  rk(170) * Y(117)
      dw(170,117) =  rk(170) * Y( 32)
      dw(171, 46) =  rk(171) * Y(117)
      dw(171,117) =  rk(171) * Y( 46)
      dw(172, 28) =  rk(172) * Y( 91)
      dw(172, 91) =  rk(172) * Y( 28)
      dw(173, 38) =  rk(173) * Y( 91)
      dw(173, 91) =  rk(173) * Y( 38)
      dw(174, 86) =  rk(174) * Y( 91)
      dw(174, 91) =  rk(174) * Y( 86)
      dw(175, 25) =  rk(175) * Y( 91)
      dw(175, 91) =  rk(175) * Y( 25)
      dw(176, 31) =  rk(176) * Y( 91)
      dw(176, 91) =  rk(176) * Y( 31)
      dw(177, 92) =  rk(177) * Y( 91)
      dw(177, 91) =  rk(177) * Y( 92)
      dw(178, 81) =  rk(178) * Y( 91)
      dw(178, 91) =  rk(178) * Y( 81)
      dw(179, 83) =  rk(179) * Y( 91)
      dw(179, 91) =  rk(179) * Y( 83)
      dw(180, 21) =  rk(180) * Y( 91)
      dw(180, 91) =  rk(180) * Y( 21)
      dw(181, 32) =  rk(181) * Y( 91)
      dw(181, 91) =  rk(181) * Y( 32)
      dw(182, 27) =  rk(182) * Y( 91)
      dw(182, 91) =  rk(182) * Y( 27)
      dw(183, 69) =  rk(183) * Y( 91)
      dw(183, 91) =  rk(183) * Y( 69)
      dw(184, 62) =  rk(184) * Y(121)
      dw(184,121) =  rk(184) * Y( 62)
      dw(185,122) =  rk(185) * Y(121)
      dw(185,121) =  rk(185) * Y(122)
      dw(186,120) =  rk(186) * Y(121)
      dw(186,121) =  rk(186) * Y(120)
      dw(187, 41) =  rk(187)
      dw(188, 42) =  rk(188)
      dw(189,104) =  rk(189) * Y(121)
      dw(189,121) =  rk(189) * Y(104)
      dw(190, 46) =  rk(190)
      dw(191,113) =  rk(191) * Y(123)
      dw(191,123) =  rk(191) * Y(113)
      dw(192,114) =  rk(192) * Y(123)
      dw(192,123) =  rk(192) * Y(114)
      dw(193,110) =  rk(193) * Y(123)
      dw(193,123) =  rk(193) * Y(110)
      dw(194, 76) =  rk(194) * Y(123)
      dw(194,123) =  rk(194) * Y( 76)
      dw(195, 79) =  rk(195) * Y(123)
      dw(195,123) =  rk(195) * Y( 79)
      dw(196, 98) =  rk(196) * Y(123)
      dw(196,123) =  rk(196) * Y( 98)
      dw(197, 71) =  rk(197) * Y(123)
      dw(197,123) =  rk(197) * Y( 71)
      dw(198, 87) =  rk(198) * Y(123)
      dw(198,123) =  rk(198) * Y( 87)
      dw(199, 80) =  rk(199) * Y(123)
      dw(199,123) =  rk(199) * Y( 80)
      dw(200,104) =  rk(200) * Y(123)
      dw(200,123) =  rk(200) * Y(104)
      dw(201, 82) =  rk(201) * Y(123)
      dw(201,123) =  rk(201) * Y( 82)
      dw(202, 67) =  rk(202) * Y(123)
      dw(202,123) =  rk(202) * Y( 67)
      dw(203, 84) =  rk(203) * Y(123)
      dw(203,123) =  rk(203) * Y( 84)
      dw(204, 72) =  rk(204) * Y(123)
      dw(204,123) =  rk(204) * Y( 72)
      dw(205, 85) =  rk(205) * Y(123)
      dw(205,123) =  rk(205) * Y( 85)
      dw(206, 77) =  rk(206) * Y(123)
      dw(206,123) =  rk(206) * Y( 77)
      dw(207, 64) =  rk(207) * Y(123)
      dw(207,123) =  rk(207) * Y( 64)
      dw(208, 97) =  rk(208) * Y(123)
      dw(208,123) =  rk(208) * Y( 97)
      dw(209,122) =  rk(209) * Y(123)
      dw(209,123) =  rk(209) * Y(122)
      dw(210,120) =  rk(210) * Y(123)
      dw(210,123) =  rk(210) * Y(120)
      dw(211,105) =  rk(211) * Y(123)
      dw(211,123) =  rk(211) * Y(105)
      dw(212, 78) =  rk(212) * Y(123)
      dw(212,123) =  rk(212) * Y( 78)
      dw(213, 90) =  rk(213) * Y(123)
      dw(213,123) =  rk(213) * Y( 90)
      dw(214, 88) =  rk(214) * Y(123)
      dw(214,123) =  rk(214) * Y( 88)
      dw(215,113) =  rk(215) * Y(119)
      dw(215,119) =  rk(215) * Y(113)
      dw(216,114) =  rk(216) * Y(119)
      dw(216,119) =  rk(216) * Y(114)
      dw(217,110) =  rk(217) * Y(119)
      dw(217,119) =  rk(217) * Y(110)
      dw(218, 76) =  rk(218) * Y(119)
      dw(218,119) =  rk(218) * Y( 76)
      dw(219, 79) =  rk(219) * Y(119)
      dw(219,119) =  rk(219) * Y( 79)
      dw(220, 98) =  rk(220) * Y(119)
      dw(220,119) =  rk(220) * Y( 98)
      dw(221, 71) =  rk(221) * Y(119)
      dw(221,119) =  rk(221) * Y( 71)
      dw(222, 87) =  rk(222) * Y(119)
      dw(222,119) =  rk(222) * Y( 87)
      dw(223, 80) =  rk(223) * Y(119)
      dw(223,119) =  rk(223) * Y( 80)
      dw(224,104) =  rk(224) * Y(119)
      dw(224,119) =  rk(224) * Y(104)
      dw(225, 82) =  rk(225) * Y(119)
      dw(225,119) =  rk(225) * Y( 82)
      dw(226, 84) =  rk(226) * Y(119)
      dw(226,119) =  rk(226) * Y( 84)
      dw(227, 72) =  rk(227) * Y(119)
      dw(227,119) =  rk(227) * Y( 72)
      dw(228, 85) =  rk(228) * Y(119)
      dw(228,119) =  rk(228) * Y( 85)
      dw(229, 77) =  rk(229) * Y(119)
      dw(229,119) =  rk(229) * Y( 77)
      dw(230, 54) =  rk(230) * Y(119)
      dw(230,119) =  rk(230) * Y( 54)
      dw(231, 60) =  rk(231) * Y(119)
      dw(231,119) =  rk(231) * Y( 60)
      dw(232, 64) =  rk(232) * Y(119)
      dw(232,119) =  rk(232) * Y( 64)
      dw(233, 97) =  rk(233) * Y(119)
      dw(233,119) =  rk(233) * Y( 97)
      dw(234, 62) =  rk(234) * Y(119)
      dw(234,119) =  rk(234) * Y( 62)
      dw(235,122) =  rk(235) * Y(119)
      dw(235,119) =  rk(235) * Y(122)
      dw(236,120) =  rk(236) * Y(119)
      dw(236,119) =  rk(236) * Y(120)
      dw(237, 78) =  rk(237) * Y(119)
      dw(237,119) =  rk(237) * Y( 78)
      dw(238, 67) =  rk(238) * Y(119)
      dw(238,119) =  rk(238) * Y( 67)
      dw(239,105) =  rk(239) * Y(119)
      dw(239,119) =  rk(239) * Y(105)
      dw(240, 90) =  rk(240) * Y(119)
      dw(240,119) =  rk(240) * Y( 90)
      dw(241, 88) =  rk(241) * Y(119)
      dw(241,119) =  rk(241) * Y( 88)
      dw(242,113) =  rk(242) * Y(113)
      dw(242,113) =  rk(242) * Y(113)
      dw(243,114) =  rk(243) * Y(113)
      dw(243,113) =  rk(243) * Y(114)
      dw(244,110) =  rk(244) * Y(113)
      dw(244,113) =  rk(244) * Y(110)
      dw(245, 76) =  rk(245) * Y(113)
      dw(245,113) =  rk(245) * Y( 76)
      dw(246, 79) =  rk(246) * Y(113)
      dw(246,113) =  rk(246) * Y( 79)
      dw(247, 98) =  rk(247) * Y(113)
      dw(247,113) =  rk(247) * Y( 98)
      dw(248, 71) =  rk(248) * Y(113)
      dw(248,113) =  rk(248) * Y( 71)
      dw(249, 87) =  rk(249) * Y(113)
      dw(249,113) =  rk(249) * Y( 87)
      dw(250, 80) =  rk(250) * Y(113)
      dw(250,113) =  rk(250) * Y( 80)
      dw(251,104) =  rk(251) * Y(113)
      dw(251,113) =  rk(251) * Y(104)
      dw(252, 82) =  rk(252) * Y(113)
      dw(252,113) =  rk(252) * Y( 82)
      dw(253, 84) =  rk(253) * Y(113)
      dw(253,113) =  rk(253) * Y( 84)
      dw(254, 72) =  rk(254) * Y(113)
      dw(254,113) =  rk(254) * Y( 72)
      dw(255, 85) =  rk(255) * Y(113)
      dw(255,113) =  rk(255) * Y( 85)
      dw(256, 77) =  rk(256) * Y(113)
      dw(256,113) =  rk(256) * Y( 77)
      dw(257, 54) =  rk(257) * Y(113)
      dw(257,113) =  rk(257) * Y( 54)
      dw(258, 53) =  rk(258) * Y(113)
      dw(258,113) =  rk(258) * Y( 53)
      dw(259, 52) =  rk(259) * Y(113)
      dw(259,113) =  rk(259) * Y( 52)
      dw(260, 64) =  rk(260) * Y(113)
      dw(260,113) =  rk(260) * Y( 64)
      dw(261, 55) =  rk(261) * Y(113)
      dw(261,113) =  rk(261) * Y( 55)
      dw(262, 60) =  rk(262) * Y(113)
      dw(262,113) =  rk(262) * Y( 60)
      dw(263, 63) =  rk(263) * Y(113)
      dw(263,113) =  rk(263) * Y( 63)
      dw(264, 57) =  rk(264) * Y(113)
      dw(264,113) =  rk(264) * Y( 57)
      dw(265, 58) =  rk(265) * Y(113)
      dw(265,113) =  rk(265) * Y( 58)
      dw(266, 97) =  rk(266) * Y(113)
      dw(266,113) =  rk(266) * Y( 97)
      dw(267,122) =  rk(267) * Y(113)
      dw(267,113) =  rk(267) * Y(122)
      dw(268,120) =  rk(268) * Y(113)
      dw(268,113) =  rk(268) * Y(120)
      dw(269, 78) =  rk(269) * Y(113)
      dw(269,113) =  rk(269) * Y( 78)
      dw(270, 67) =  rk(270) * Y(113)
      dw(270,113) =  rk(270) * Y( 67)
      dw(271,105) =  rk(271) * Y(113)
      dw(271,113) =  rk(271) * Y(105)
      dw(272, 90) =  rk(272) * Y(113)
      dw(272,113) =  rk(272) * Y( 90)
      dw(273, 88) =  rk(273) * Y(113)
      dw(273,113) =  rk(273) * Y( 88)
      dw(274,114) =  rk(274) * Y(122)
      dw(274,122) =  rk(274) * Y(114)
      dw(275,110) =  rk(275) * Y(122)
      dw(275,122) =  rk(275) * Y(110)
      dw(276, 76) =  rk(276) * Y(122)
      dw(276,122) =  rk(276) * Y( 76)
      dw(277, 79) =  rk(277) * Y(122)
      dw(277,122) =  rk(277) * Y( 79)
      dw(278, 98) =  rk(278) * Y(122)
      dw(278,122) =  rk(278) * Y( 98)
      dw(279, 71) =  rk(279) * Y(122)
      dw(279,122) =  rk(279) * Y( 71)
      dw(280, 87) =  rk(280) * Y(122)
      dw(280,122) =  rk(280) * Y( 87)
      dw(281, 80) =  rk(281) * Y(122)
      dw(281,122) =  rk(281) * Y( 80)
      dw(282,104) =  rk(282) * Y(122)
      dw(282,122) =  rk(282) * Y(104)
      dw(283, 82) =  rk(283) * Y(122)
      dw(283,122) =  rk(283) * Y( 82)
      dw(284, 84) =  rk(284) * Y(122)
      dw(284,122) =  rk(284) * Y( 84)
      dw(285, 72) =  rk(285) * Y(122)
      dw(285,122) =  rk(285) * Y( 72)
      dw(286, 85) =  rk(286) * Y(122)
      dw(286,122) =  rk(286) * Y( 85)
      dw(287, 77) =  rk(287) * Y(122)
      dw(287,122) =  rk(287) * Y( 77)
      dw(288, 54) =  rk(288) * Y(122)
      dw(288,122) =  rk(288) * Y( 54)
      dw(289, 53) =  rk(289) * Y(122)
      dw(289,122) =  rk(289) * Y( 53)
      dw(290, 52) =  rk(290) * Y(122)
      dw(290,122) =  rk(290) * Y( 52)
      dw(291, 63) =  rk(291) * Y(122)
      dw(291,122) =  rk(291) * Y( 63)
      dw(292, 57) =  rk(292) * Y(122)
      dw(292,122) =  rk(292) * Y( 57)
      dw(293, 58) =  rk(293) * Y(122)
      dw(293,122) =  rk(293) * Y( 58)
      dw(294, 64) =  rk(294) * Y(122)
      dw(294,122) =  rk(294) * Y( 64)
      dw(295, 55) =  rk(295) * Y(122)
      dw(295,122) =  rk(295) * Y( 55)
      dw(296, 60) =  rk(296) * Y(122)
      dw(296,122) =  rk(296) * Y( 60)
      dw(297, 97) =  rk(297) * Y(122)
      dw(297,122) =  rk(297) * Y( 97)
      dw(298,122) =  rk(298) * Y(122)
      dw(298,122) =  rk(298) * Y(122)
      dw(299,120) =  rk(299) * Y(120)
      dw(299,120) =  rk(299) * Y(120)
      dw(300,105) =  rk(300) * Y(122)
      dw(300,122) =  rk(300) * Y(105)
      dw(301, 78) =  rk(301) * Y(122)
      dw(301,122) =  rk(301) * Y( 78)
      dw(302, 67) =  rk(302) * Y(122)
      dw(302,122) =  rk(302) * Y( 67)
      dw(303, 90) =  rk(303) * Y(122)
      dw(303,122) =  rk(303) * Y( 90)
      dw(304, 88) =  rk(304) * Y(122)
      dw(304,122) =  rk(304) * Y( 88)
      dw(305, 90) =  rk(305) * Y( 90)
      dw(305, 90) =  rk(305) * Y( 90)
      dw(306, 90) =  rk(306) * Y( 88)
      dw(306, 88) =  rk(306) * Y( 90)
      dw(307, 88) =  rk(307) * Y( 88)
      dw(307, 88) =  rk(307) * Y( 88)
      dw(308,113) =  rk(308) * Y(117)
      dw(308,117) =  rk(308) * Y(113)
      dw(309,114) =  rk(309) * Y(117)
      dw(309,117) =  rk(309) * Y(114)
      dw(310,110) =  rk(310) * Y(117)
      dw(310,117) =  rk(310) * Y(110)
      dw(311, 76) =  rk(311) * Y(117)
      dw(311,117) =  rk(311) * Y( 76)
      dw(312, 79) =  rk(312) * Y(117)
      dw(312,117) =  rk(312) * Y( 79)
      dw(313, 98) =  rk(313) * Y(117)
      dw(313,117) =  rk(313) * Y( 98)
      dw(314, 71) =  rk(314) * Y(117)
      dw(314,117) =  rk(314) * Y( 71)
      dw(315, 87) =  rk(315) * Y(117)
      dw(315,117) =  rk(315) * Y( 87)
      dw(316, 80) =  rk(316) * Y(117)
      dw(316,117) =  rk(316) * Y( 80)
      dw(317, 72) =  rk(317) * Y(117)
      dw(317,117) =  rk(317) * Y( 72)
      dw(318, 85) =  rk(318) * Y(117)
      dw(318,117) =  rk(318) * Y( 85)
      dw(319, 77) =  rk(319) * Y(117)
      dw(319,117) =  rk(319) * Y( 77)
      dw(320, 64) =  rk(320) * Y(117)
      dw(320,117) =  rk(320) * Y( 64)
      dw(321, 97) =  rk(321) * Y(117)
      dw(321,117) =  rk(321) * Y( 97)
      dw(322,122) =  rk(322) * Y(117)
      dw(322,117) =  rk(322) * Y(122)
      dw(323,120) =  rk(323) * Y(117)
      dw(323,117) =  rk(323) * Y(120)
      dw(324, 67) =  rk(324) * Y(117)
      dw(324,117) =  rk(324) * Y( 67)
      dw(325,105) =  rk(325) * Y(117)
      dw(325,117) =  rk(325) * Y(105)
      dw(326, 78) =  rk(326) * Y(117)
      dw(326,117) =  rk(326) * Y( 78)
      dw(327, 90) =  rk(327) * Y(117)
      dw(327,117) =  rk(327) * Y( 90)
      dw(328, 88) =  rk(328) * Y(117)
      dw(328,117) =  rk(328) * Y( 88)
      dw(329, 82) =  rk(329) * Y(117)
      dw(329,117) =  rk(329) * Y( 82)
      dw(330,104) =  rk(330) * Y(117)
      dw(330,117) =  rk(330) * Y(104)
      dw(331, 53) =  rk(331) * Y(117)
      dw(331,117) =  rk(331) * Y( 53)
      dw(332, 54) =  rk(332) * Y(117)
      dw(332,117) =  rk(332) * Y( 54)
      dw(333, 52) =  rk(333) * Y(117)
      dw(333,117) =  rk(333) * Y( 52)
      dw(334, 55) =  rk(334) * Y(117)
      dw(334,117) =  rk(334) * Y( 55)
      dw(335, 60) =  rk(335) * Y(117)
      dw(335,117) =  rk(335) * Y( 60)
      dw(336, 63) =  rk(336) * Y(117)
      dw(336,117) =  rk(336) * Y( 63)
      dw(337, 57) =  rk(337) * Y(117)
      dw(337,117) =  rk(337) * Y( 57)
      dw(338, 58) =  rk(338) * Y(117)
      dw(338,117) =  rk(338) * Y( 58)
      dw(339, 84) =  rk(339) * Y(117)
      dw(339,117) =  rk(339) * Y( 84)
      dw(340,112) =  rk(340) * Y(119)
      dw(340,119) =  rk(340) * Y(112)
      dw(341,112) =  rk(341) * Y(113)
      dw(341,113) =  rk(341) * Y(112)
      dw(342,112) =  rk(342) * Y(122)
      dw(342,122) =  rk(342) * Y(112)
      dw(343,112) =  rk(343) * Y(112)
      dw(343,112) =  rk(343) * Y(112)
      dw(344,112) =  rk(344) * Y(123)
      dw(344,123) =  rk(344) * Y(112)
      dw(345,112) =  rk(345) * Y(117)
      dw(345,117) =  rk(345) * Y(112)
      dw(346,103) =  rk(346) * Y(123)
      dw(346,123) =  rk(346) * Y(103)
      dw(347,103) =  rk(347) * Y(119)
      dw(347,119) =  rk(347) * Y(103)
      dw(348,103) =  rk(348) * Y(113)
      dw(348,113) =  rk(348) * Y(103)
      dw(349,103) =  rk(349) * Y(122)
      dw(349,122) =  rk(349) * Y(103)
      dw(350,103) =  rk(350) * Y(117)
      dw(350,117) =  rk(350) * Y(103)
      dw(351,120) =  rk(351) * Y(122)
      dw(351,122) =  rk(351) * Y(120)
      dw(352,119) =  rk(352)
      dw(353,121) =  rk(353)
      dw(354,117) =  rk(354)
      dw(355, 18) =  rk(355)
 
      RETURN
      END
 
