#ifndef LIBFLUX_HXX
#define LIBFLUX_HXX

#include<cmath>
#include<algorithm>

float ComputeCcan(float l_can, float l_wall, float l_street, 
		  float sedimentation_velocity, float Ra_canyon,
		  float Ra_street, float Rs_street, float Ra_wall,
		  float Rs_wall);
float ComputeRoughnessFlux(float sedimentation_velocity, float Ra, float Rs);
float ComputeRoofFlux(float sedimentation_velocity, float Ra_roof,
		      float Rs_roof);
float ComputeStreetFlux(float l_can, float l_wall, float l_street, 
			float sedimentation_velocity, float Ra_canyon,
			float Ra_street, float Rs_street, float Ra_wall,
			float Rs_wall);
float ComputeWallFlux(float l_can, float l_wall, float l_street, 
		      float sedimentation_velocity, float Ra_canyon,
		      float Ra_street, float Rs_street, float Ra_wall,
		      float Rs_wall);
float ComputeFluxEquiv(float lambda_p, float h, float w,
		       float StreetFlux_free, float WallFlux_free,
		       float StreetFlux_recirc, float WallFlux_recirc,
		       float RoofFlux);
float ComputeFluxEquiv(float lambda_p, float h, float w, float w_r,
		       float StreetFlux_free, float WallFlux_free,
		       float StreetFlux_recirculation,
		       float WallFlux_recirculation, float RoofFlux);
float ComputeRegionFluxEquiv(float lambda_p, float w, float l_wall,
			     float l_street, float StreetFlux, float WallFlux);

#endif

